Bug 1108881 - rsearch filter error on any search filter
Summary: rsearch filter error on any search filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1070720
Blocks: 1113520
TreeView+ depends on / blocked
 
Reported: 2014-06-12 18:07 UTC by Noriko Hosoi
Modified: 2018-12-05 18:51 UTC (History)
10 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1070720
Environment:
Last Closed: 2015-03-05 09:35:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Comment 2 Viktor Ashirov 2014-12-09 16:31:28 UTC
$ rpm -qa | grep 389
389-ds-base-libs-1.3.3.1-9.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-9.el7.x86_64
389-ds-base-1.3.3.1-9.el7.x86_64

$ cat /tmp/filter.txt 
user1
user2
user3

$ rsearch -h localhost -p 389 -D "cn=directory manager" -w Secret123 -s "dc=example,dc=com" -f 'uid=' -i /tmp/filter.txt -T 30 
rsearch: 1 threads launched.

20141209 17:28:27 - Rate:    0.00/thr (  0.00/sec =    infms/op), total:     0 (1 thr)
T1 no heartbeat (waiting)
20141209 17:28:37 - Rate:    0.00/thr (  0.00/sec =    infms/op), total:     0 (1 thr)
T1 no heartbeat (waiting)
20141209 17:28:47 - Rate:    0.00/thr (  0.00/sec =    infms/op), total:     0 (1 thr)
Final Average rate:   0.00/sec =    infmsec/op, total:     0


When -i option is not used, it works as expected: 
$ rsearch -h localhost -p 389 -D "cn=directory manager" -w Secret123 -s "dc=example,dc=com" -f 'uid='  -T 30 
rsearch: 1 threads launched.

20141209 17:29:35 - Rate: 125994.00/thr (12599.40/sec = 0.0794ms/op), total:125994 (1 thr)
20141209 17:29:45 - Rate: 144762.00/thr (14476.20/sec = 0.0691ms/op), total:144762 (1 thr)
20141209 17:29:55 - Rate: 151089.00/thr (15108.90/sec = 0.0662ms/op), total:151089 (1 thr)
Final Average rate: 14061.50/sec = 0.0711msec/op, total:151089

Comment 3 mreynolds 2014-12-09 17:19:08 UTC
I reproduced the issue and I am investigating the problem...

Comment 4 mreynolds 2014-12-09 22:33:52 UTC
Fixed upstream

Comment 5 Viktor Ashirov 2014-12-25 21:06:04 UTC
$ rpm -qa | grep 389
389-ds-base-debuginfo-1.3.3.1-10.el7.x86_64
389-ds-base-1.3.3.1-10.el7.x86_64
389-ds-base-libs-1.3.3.1-10.el7.x86_64

$ rsearch -h localhost -p 389 -D "cn=directory manager" -w Secret123 -s "dc=example,dc=com" -f 'uid=' -i /tmp/filter.txt -T 30 
rsearch: 1 threads launched.

20141225 22:04:12 - Rate: 132217.00/thr (13221.70/sec = 0.0756ms/op), total:132217 (1 thr)
20141225 22:04:22 - Rate: 149430.00/thr (14943.00/sec = 0.0669ms/op), total:149430 (1 thr)
20141225 22:04:32 - Rate: 145458.00/thr (14545.80/sec = 0.0687ms/op), total:145458 (1 thr)
Final Average rate: 14236.83/sec = 0.0702msec/op, total:145458

Marking as VERIFIED

Comment 7 errata-xmlrpc 2015-03-05 09:35:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.